package com.zxdmy.excite.system.mapper.cloud.account;

import com.zxdmy.excite.system.entity.cloud.account.CloudCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zxdmy.excite.system.entity.cloud.account.CloudDepartment;
import com.zxdmy.excite.system.entity.req.account.ReqCompany;
import com.zxdmy.excite.system.entity.vo.account.CompanyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 企业表 Mapper 接口
 * </p>
 *
 * @author ss
 * @since 2026-01-24z
 */
@Mapper
public interface CloudCompanyMapper extends BaseMapper<CloudCompany> {

    ArrayList<CompanyVo> queryByPage(@Param("page")Integer pageNo, @Param("size")Integer pageSize, @Param("data") ReqCompany data);
    Integer queryByPageCount(@Param("data") ReqCompany data);
    CompanyVo getData(@Param("data") ReqCompany data);
    List<CompanyVo> queryByData();
    List<CloudCompany> getList();
}
